Debian Bug report logs - #586696
libparted0debian1: wrong path for hurd partitions

version graph

Package: libparted0debian1; Maintainer for libparted0debian1 is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for libparted0debian1 is src:parted.

Reported by: Jeremie Koenig <jk@jk.fr.eu.org>

Date: Mon, 21 Jun 2010 18:09:02 UTC

Severity: normal

Tags: patch

Found in version parted/2.2-7

Fixed in version parted/2.3-9.1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#586696; Package libparted0debian1. (Mon, 21 Jun 2010 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremie Koenig <jk@jk.fr.eu.org>:
New Bug report received and forwarded. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 21 Jun 2010 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremie Koenig <jk@jk.fr.eu.org>
To: submit@bugs.debian.org
Subject: libparted0debian1: wrong path for hurd partitions
Date: Mon, 21 Jun 2010 20:05:16 +0200
[Message part 1 (text/plain, inline)]
Package: libparted0debian1
Version: 2.2-7
Severity: normal
Usertags: gsoc2010
Tags: patch

Hello,

The current libparted has the wrong format string for partition paths on
Hurd, and comes up with (for instance) /dev/hd01 instead of /dev/hd0s1.

As a consequence, partman (from debian-installer) fails to create the
filesystem and mount the partition.

The attached patch fixes this.

Thanks,
-- 
Jeremie Koenig <jk@jk.fr.eu.org>
http://jk.fr.eu.org
[parted-hurd-partition-path.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#586696; Package libparted0debian1. (Sun, 20 Feb 2011 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sun, 20 Feb 2011 21:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 586696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 586696@bugs.debian.org
Subject: Re: Bug#586696: libparted0debian1: wrong path for hurd partitions
Date: Sun, 20 Feb 2011 21:58:26 +0100
> Index: parted-2.2/libparted/arch/gnu.c
> ===================================================================
> --- parted-2.2.orig/libparted/arch/gnu.c	2010-06-21 18:29:55.000000000 +0200
> +++ parted-2.2/libparted/arch/gnu.c	2010-06-21 18:30:05.000000000 +0200
> @@ -845,7 +845,7 @@
>  	result = (char*) ped_malloc (result_len);
>  	if (!result)
>  		return NULL;
> -	snprintf (result, result_len, "%s%d", dev_path, part->num);
> +	snprintf (result, result_len, "%ss%d", dev_path, part->num);
>  	return result;
>  }
>  

Ping?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#586696; Package libparted0debian1. (Mon, 09 Apr 2012 12:45:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Mon, 09 Apr 2012 12:45:32 GMT) Full text and rfc822 format available.

Message #15 received at 586696@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 644825@bugs.debian.org, 586696@bugs.debian.org, 586682@bugs.debian.org
Subject: NMU to DELAYED/10
Date: Mon, 9 Apr 2012 14:40:55 +0200
[Message part 1 (text/plain, inline)]
tag 644825 pending
tag 586696 pending
tag 586682 pending
thanks

Hi,

I've uploaded a NMU to DELAYED/10 to fix these bugs:

parted (2.3-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * kfreebsd_lvm.patch: Support LVM on GNU/kFreeBSD.  (Closes: #644825)
  * hurd-partition-path.patch: Fix wrong path for GNU/Hurd partitions,
    patch from Jeremie Koenig.  (Closes: #586696)
  * non-registered-device.diff: Fix NULL dereference condition, patch
    from Jeremie Koenig.  (Closes: #586682)

 -- Robert Millan <rmh@debian.org>  Mon, 09 Apr 2012 09:46:19 +0000


Full debdiff is attached.

-- 
Robert Millan
[parted_nmu.debdiff (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 12:46:01 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Thu, 19 Apr 2012 13:24:09 GMT) Full text and rfc822 format available.

Notification sent to Jeremie Koenig <jk@jk.fr.eu.org>:
Bug acknowledged by developer. (Thu, 19 Apr 2012 13:24:10 GMT) Full text and rfc822 format available.

Message #22 received at 586696-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 586696-close@bugs.debian.org
Subject: Bug#586696: fixed in parted 2.3-9.1
Date: Thu, 19 Apr 2012 13:20:45 +0000
Source: parted
Source-Version: 2.3-9.1

We believe that the bug you reported is fixed in the latest version of
parted, which is due to be installed in the Debian FTP archive:

libparted0-dev_2.3-9.1_kfreebsd-i386.deb
  to main/p/parted/libparted0-dev_2.3-9.1_kfreebsd-i386.deb
libparted0-i18n_2.3-9.1_all.deb
  to main/p/parted/libparted0-i18n_2.3-9.1_all.deb
libparted0-udeb_2.3-9.1_kfreebsd-i386.udeb
  to main/p/parted/libparted0-udeb_2.3-9.1_kfreebsd-i386.udeb
libparted0_2.3-9.1_kfreebsd-i386.deb
  to main/p/parted/libparted0_2.3-9.1_kfreebsd-i386.deb
libparted0debian1-dbg_2.3-9.1_kfreebsd-i386.deb
  to main/p/parted/libparted0debian1-dbg_2.3-9.1_kfreebsd-i386.deb
libparted0debian1_2.3-9.1_kfreebsd-i386.deb
  to main/p/parted/libparted0debian1_2.3-9.1_kfreebsd-i386.deb
parted-doc_2.3-9.1_all.deb
  to main/p/parted/parted-doc_2.3-9.1_all.deb
parted-udeb_2.3-9.1_kfreebsd-i386.udeb
  to main/p/parted/parted-udeb_2.3-9.1_kfreebsd-i386.udeb
parted_2.3-9.1.diff.gz
  to main/p/parted/parted_2.3-9.1.diff.gz
parted_2.3-9.1.dsc
  to main/p/parted/parted_2.3-9.1.dsc
parted_2.3-9.1_kfreebsd-i386.deb
  to main/p/parted/parted_2.3-9.1_kfreebsd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586696@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated parted package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Apr 2012 09:46:19 +0000
Source: parted
Binary: parted parted-udeb libparted0 libparted0debian1 libparted0-udeb libparted0-i18n libparted0-dev libparted0debian1-dbg parted-doc
Architecture: source kfreebsd-i386 all
Version: 2.3-9.1
Distribution: unstable
Urgency: low
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libparted0 - disk partition manipulator - dummy package
 libparted0-dev - disk partition manipulator - development files
 libparted0-i18n - disk partition manipulator - i18n support
 libparted0-udeb - disk partition manipulator - library udeb (udeb)
 libparted0debian1 - disk partition manipulator - shared library
 libparted0debian1-dbg - disk partition manipulator - debugging symbols
 parted     - disk partition manipulator
 parted-doc - disk partition manipulator - documentation
 parted-udeb - Manually partition a hard drive (parted) (udeb)
Closes: 586682 586696 644825
Changes: 
 parted (2.3-9.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * kfreebsd_lvm.patch: Support LVM on GNU/kFreeBSD.  (Closes: #644825)
   * hurd-partition-path.patch: Fix wrong path for GNU/Hurd partitions,
     patch from Jeremie Koenig.  (Closes: #586696)
   * non-registered-device.diff: Fix NULL dereference condition, patch
     from Jeremie Koenig.  (Closes: #586682)
Checksums-Sha1: 
 a02c224098d81523bebe66929811a056f861e2cc 2025 parted_2.3-9.1.dsc
 07739b32e2eefdadda6365cd0f344d902df7de54 81314 parted_2.3-9.1.diff.gz
 03cd128dfb56333028c4823f2923fc2718f02e7d 157644 parted_2.3-9.1_kfreebsd-i386.deb
 1148ffc6a7a4c5adec52c6f98d026342ea7cc127 33732 parted-udeb_2.3-9.1_kfreebsd-i386.udeb
 17d51501365ff27fe8b831f9d0877d37ed1470e9 113082 libparted0_2.3-9.1_kfreebsd-i386.deb
 7a2dfe0c9b9300b12bed5eaa601dccaa4016c851 322932 libparted0debian1_2.3-9.1_kfreebsd-i386.deb
 7d72f682f1dde91ce636803bb22c274f06baa202 194020 libparted0-udeb_2.3-9.1_kfreebsd-i386.udeb
 a5059876b6a17fcb9feeafc4b7150acad40d3563 392684 libparted0-dev_2.3-9.1_kfreebsd-i386.deb
 21f77173b9d0e931ff8e6b0e7e369a9f2b34940a 964334 libparted0debian1-dbg_2.3-9.1_kfreebsd-i386.deb
 770f200e243a56420b8515c47b8b77d01922b0ab 583496 libparted0-i18n_2.3-9.1_all.deb
 35c280f7c3abb2b3b6eddb527416acbeb19be4d9 185560 parted-doc_2.3-9.1_all.deb
Checksums-Sha256: 
 5375e25e39d6441d5f7f70d4c1af02ccb51ae6b77658f40a4eef6e19ffda0267 2025 parted_2.3-9.1.dsc
 91ebf8fd2d4b3fbe565aa1e043c409278cd3ff489aa63149c313086368ac28ce 81314 parted_2.3-9.1.diff.gz
 2b6df69af5da2960ee712bc6b279dc195f03a1e64a0884c1e1e0cf01648e96ad 157644 parted_2.3-9.1_kfreebsd-i386.deb
 216dfe6a81abccf98b85e0c9b0e606cd8ba0d4bf51388e3ef5c0fe5e1c75e373 33732 parted-udeb_2.3-9.1_kfreebsd-i386.udeb
 5dea854b7bdacf7c9220b8a982ce0510f3ab09efaad1d5d94d14ac238bb2779c 113082 libparted0_2.3-9.1_kfreebsd-i386.deb
 c335d1d4081ef68a33efab6e54bd65c05a880df02c1b375a35ffae09a1eed7b5 322932 libparted0debian1_2.3-9.1_kfreebsd-i386.deb
 6602c9e8638bfb505e7bd074ba6c84f1e7c9d99f96aa0953efe4fe43bf9ee4e9 194020 libparted0-udeb_2.3-9.1_kfreebsd-i386.udeb
 a7dfbe444399ed58fba97288fb2b44e413666cbb6314f0a0ae26d5b82881521a 392684 libparted0-dev_2.3-9.1_kfreebsd-i386.deb
 712d9be42a1e59c61fd8568564ed6901d2fcf0ca8ba13ce7758f829244bb7979 964334 libparted0debian1-dbg_2.3-9.1_kfreebsd-i386.deb
 6de05b6d7323c611f7277312eb90d73663c43db2701b0ba3f9ed5439731cef9e 583496 libparted0-i18n_2.3-9.1_all.deb
 d70636ab66da34d0ad1b5d0a5913fe9cb2912ce6ec93300bd223ea17b3e11c37 185560 parted-doc_2.3-9.1_all.deb
Files: 
 da912c78db08ec4dcc6ce836190fa4df 2025 admin optional parted_2.3-9.1.dsc
 f53095f1f864651ca2a20f083bfee02f 81314 admin optional parted_2.3-9.1.diff.gz
 b004947deab462db57681be46e760182 157644 admin optional parted_2.3-9.1_kfreebsd-i386.deb
 e1fc887873246f8fb4602aa05bfb8d5a 33732 debian-installer extra parted-udeb_2.3-9.1_kfreebsd-i386.udeb
 d4e1cb27524c338ef76fc79cc9128775 113082 libs extra libparted0_2.3-9.1_kfreebsd-i386.deb
 c26b0142ba1a411e18c02f9c1506afdd 322932 libs optional libparted0debian1_2.3-9.1_kfreebsd-i386.deb
 583b31f48cd68aeeb2b3a11a42986a86 194020 debian-installer extra libparted0-udeb_2.3-9.1_kfreebsd-i386.udeb
 cb83446877417225f270b28c30928f52 392684 libdevel optional libparted0-dev_2.3-9.1_kfreebsd-i386.deb
 b3ac8a04ea577850552afa2d865c1b5d 964334 debug extra libparted0debian1-dbg_2.3-9.1_kfreebsd-i386.deb
 f15175bac79d49ffeadac9b7805287e3 583496 localization optional libparted0-i18n_2.3-9.1_all.deb
 f2645c5a13cbe518505fb6937601f890 185560 doc optional parted-doc_2.3-9.1_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk+CscoACgkQC19io6rUCv9gHwCfbw+uhaywQDOj9BZh5yj+sP6r
TgMAn0wOS/6IXm6DE4K7ZWR2xvWEmsEc
=X7d9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Jun 2012 07:43:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 20:01:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.